Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055099 - [abrt] NetworkManager: nm_active_connection_get_path(): NetworkManager killed by SIGSEGV
Summary: [abrt] NetworkManager: nm_active_connection_get_path(): NetworkManager killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e2bdd66d9f1399c653d7c32b4f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 19:44 UTC by Niko
Modified: 2014-04-22 03:59 UTC (History)
3 users (show)

Fixed In Version: NetworkManager-0.9.9.0-38.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-22 03:59:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: cgroup (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: core_backtrace (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: dso_list (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: environ (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: exploitable (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: limits (deleted)
2014-01-18 19:44 UTC, Niko
no flags Details
File: maps (deleted)
2014-01-18 19:45 UTC, Niko
no flags Details
File: open_fds (deleted)
2014-01-18 19:45 UTC, Niko
no flags Details
File: proc_pid_status (deleted)
2014-01-18 19:45 UTC, Niko
no flags Details
File: var_log_messages (deleted)
2014-01-18 19:45 UTC, Niko
no flags Details

Description Niko 2014-01-18 19:44:39 UTC
Version-Release number of selected component:
NetworkManager-0.9.9.0-23.git20131003.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_active_connection_get_path
executable:     /usr/sbin/NetworkManager
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nm_active_connection_get_path at nm-active-connection.c:145
 #1 get_property at nm-manager.c:4763
 #2 object_get_property at gobject.c:1303
 #3 g_object_get_property at gobject.c:2402
 #4 notify at nm-properties-changed-signal.c:167
 #10 g_object_notify_by_spec_internal at gobject.c:1141
 #11 g_object_notify at gobject.c:1183
 #12 nm_manager_deactivate_connection at nm-manager.c:3400
 #13 deactivate_net_auth_done_cb at nm-manager.c:3432
 #14 auth_chain_finish at nm-manager-auth.c:87

Potential duplicate: bug 946920

Comment 1 Niko 2014-01-18 19:44:44 UTC
Created attachment 852077 [details]
File: backtrace

Comment 2 Niko 2014-01-18 19:44:46 UTC
Created attachment 852078 [details]
File: cgroup

Comment 3 Niko 2014-01-18 19:44:48 UTC
Created attachment 852079 [details]
File: core_backtrace

Comment 4 Niko 2014-01-18 19:44:50 UTC
Created attachment 852080 [details]
File: dso_list

Comment 5 Niko 2014-01-18 19:44:54 UTC
Created attachment 852081 [details]
File: environ

Comment 6 Niko 2014-01-18 19:44:56 UTC
Created attachment 852082 [details]
File: exploitable

Comment 7 Niko 2014-01-18 19:44:58 UTC
Created attachment 852083 [details]
File: limits

Comment 8 Niko 2014-01-18 19:45:01 UTC
Created attachment 852084 [details]
File: maps

Comment 9 Niko 2014-01-18 19:45:03 UTC
Created attachment 852085 [details]
File: open_fds

Comment 10 Niko 2014-01-18 19:45:05 UTC
Created attachment 852086 [details]
File: proc_pid_status

Comment 11 Niko 2014-01-18 19:45:07 UTC
Created attachment 852087 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-04-15 11:56:51 UTC
NetworkManager-0.9.9.0-37.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-37.git20131003.fc20

Comment 13 Jirka Klimes 2014-04-15 12:09:46 UTC
Fixed by upstream commit:
c54faa4 policy: check device state before changing it for secondaries
that has been backported for Fedora 20.

In upstream NM didn't crash but still there were problems.
See also bug 1055101.

Comment 14 Fedora Update System 2014-04-16 09:25:55 UTC
Package NetworkManager-0.9.9.0-37.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-37.git20131003.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5242/NetworkManager-0.9.9.0-37.git20131003.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-04-17 16:41:27 UTC
NetworkManager-0.9.9.0-38.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-38.git20131003.fc20

Comment 16 Fedora Update System 2014-04-22 03:59:18 UTC
NetworkManager-0.9.9.0-38.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.